Subject: Re: [bug#77579] efivar compilation issues
From: Efraim Flashner <[email-masked]>
To: Rowan Fraser <[email-masked]>
Cc: [email-masked]
Date: Mon, 16 Jun 2025 12:13:20 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

On Wed, May 28, 2025 at 01:05:00AM -0500, Rowan Fraser wrote:
> The efivar has compilation issues for 32-bit architecture and RISC-V.
> For 32 bit architecture I'd assume that it has to do with the issue
> mentioned here: https://github.com/rhboot/efivar/issues/270
> For RISC-V architecture it errors out due to the `-Werror` flag
> and conflicting types as detailed in:
> https://github.com/rhboot/efivar/issues/280
> 
> The repo for efivar hasn't been updated in over a year so it might need to
> be forked if you want a source code solution or we can alter the make flags
> to be more permissive.

I followed this patch up with a patch fixing compiling on 32-bit
systems.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted